package vip.xiaonuo.biz.modular.api.param;

import lombok.Data;

import java.util.HashMap;
import java.util.TreeMap;

@Data
public class WechatTemplateMsg {

    private String touser; //接收者openid

    private String template_id; //模板ID

    private String page; //模板跳转链接

    private String miniprogram_state;
    // 跳小程序所需数据
    private HashMap<String, String> miniprogram;

    private TreeMap<String, TreeMap<String, String>> data; //data数据

    /**
     * 参数
     *
     * @param value
     * @return
     */
    public static TreeMap<String, String> item(String value) {
        TreeMap<String, String> params = new TreeMap<String, String>();
        params.put("value", value);
        return params;
    }

    private String appidReq;

    private String secretReq;

}
